dnsjit.output.tlscli(3)

NAME
dnsjit.output.tlscli - Simple TLS client

SYNOPSIS
  local output = require("dnsjit.output.tlscli").new("127.0.0.1", "853")

DESCRIPTION
Simple TLS client that attempts to do a TLS handshake (without certificate verification). It behaves the same way as tcpcli, except all the data is sent over the encrypted channel.

  Attributes

timeout
    A core.timespec that is used when producing objects.

  Functions

Tlscli.new()
    Create a new Tlscli output.

Tlscli:timeout(seconds, nanoseconds)
    Set the timeout when producing objects.

Tlscli:connect(host, port)
    Connect to the host and port , perform a TLS handshake and return 0 if successful.

Tlscli:receive()
    Return the C functions and context for receiving objects, these objects will be sent.

Tlscli:produce()
    Return the C functions and context for producing objects, these objects are received. The producer will wait for data and if timed out (see timeout) it will return a payload object with length zero. If a timeout happens during during the first stage, getting the length, it will fail and return nil. Additional calls will continue retrieving the payload. The producer returns nil on error.

Tlscli:packets()
    Return the number of "packets" sent, actually the number of completely sent payloads.

Tlscli:received()
    Return the number of "packets" received, actually the number of completely received DNS messages.

Tlscli:errors()
    Return the number of errors when sending.

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net